Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/pollist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZPollMain", "Language" )
| $DOC_ROOT = $ini->variable( "eZPollMain", "DocumentRoot" )
| $errorIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/pollist.php.ini", false )
| $noItem = $errorIni->variable( "strings", "noitem" )
| $t
| $poll = new eZPoll()
| $pollList = $poll->getAllActive( )
| $languageIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/pollist.php.ini", false )
| $nonActive = $languageIni->variable( "strings", "non_active" )
| $active = $languageIni->variable( "strings", "active" )
if(! $pollList) | $i =0

## Variable Documentation

## ◆ $active

$active = $languageIni->variable( "strings", "active" )

Definition at line 57 of file user/pollist.php.

Referenced by eZProduct\activeProductSearch(), eZProduct\activeProductSearchCount(), and eZModuleHandler\setActiveTab().

## ◆ $DOC_ROOT

$DOC_ROOT = $ini->variable( "eZPollMain", "DocumentRoot" )

Definition at line 33 of file user/pollist.php.

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/pollist.php.ini", false )

Definition at line 34 of file user/pollist.php.

## ◆ $i

if (! $pollList) $i =0

Definition at line 64 of file user/pollist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 30 of file user/pollist.php.

## ◆ $Language

$Language = $ini->variable( "eZPollMain", "Language" )

Definition at line 32 of file user/pollist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/pollist.php.ini", false )

Definition at line 55 of file user/pollist.php.

## ◆ $noItem

$noItem = $errorIni->variable( "strings", "noitem" )

Definition at line 36 of file user/pollist.php.

## ◆ $nonActive

$nonActive = $languageIni->variable( "strings", "non_active" )

Definition at line 56 of file user/pollist.php.

## ◆ $poll

$poll = new eZPoll()

Definition at line 52 of file user/pollist.php.

## ◆ $pollList

$pollList = $poll->getAllActive( )

Definition at line 53 of file user/pollist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezpoll/user/" . $ini->variable( "eZPollMain", "TemplateDir" ),
"kernel/ezpoll/user/intl/", $Language, "pollist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/pollist.php:32
$ini
$ini
Definition: user/pollist.php:30

Definition at line 41 of file user/pollist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.